MMEvents.createProcesses(event => {
  event
    .create('mm:crushed_end_stone_sieve_recipe')
    .structureId('mm:sieve_structure')
    .ticks(4)
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:crushed_end_stone',
        count: 1
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:energy',
        amount: 10000
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.70,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:ender_pearl',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.70,
      ingredient: {
        type: 'mm:item',
        item: 'mysticalagriculture:prosperity_shard',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.70,
      ingredient: {
        type: 'mm:item',
        item: 'mysticalagriculture:inferium_essence',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.30,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:ender_eye',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.30,
      ingredient: {
        type: 'mm:item',
        item: 'draconicevolution:draconium_dust',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.10,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:chorus_fruit',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.10,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:chorus_flower',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.10,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:echo_shard',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.10,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:sculk_core',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.10,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:sculk_shrieker',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.035,
      ingredient: {
        type: 'mm:item',
        item: 'allthemodium:vibranium_nugget',
        count: 1
      }
    })
})
